List Recurring Invoices
curl --request GET \
--url https://app.dimepayments.com/api/recurring-invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [],
"filters": []
}
'import requests
url = "https://app.dimepayments.com/api/recurring-invoices"
payload = {
"data": [],
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [], filters: []})
};
fetch('https://app.dimepayments.com/api/recurring-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"status": "Active",
"recurrence_schedule": "Monthly",
"payment_terms": "net_15",
"start_date": "2026-07-22",
"end_date": null,
"next_run_date": "2026-08-22",
"last_run_date": null,
"customer_name": "Lafayette Considine"
},
{
"id": null,
"status": "Active",
"recurrence_schedule": "Monthly",
"payment_terms": "net_15",
"start_date": "2026-07-22",
"end_date": null,
"next_run_date": "2026-08-22",
"last_run_date": null,
"customer_name": "Margaretta Thiel"
}
],
"links": {
"prev": null,
"next": null
},
"meta": {
"path": "/",
"per_page": 500,
"next_cursor": null,
"prev_cursor": null
}
}{
"data": {
"message": "Permission Denied."
}
}{
"data": {
"message": "No such Merchant"
}
}Invoice management
List Recurring Invoices
Retrieves a paginated (cursor) list of recurring-invoice templates for a Merchant, optionally filtered by status.
GET
/
api
/
recurring-invoices
List Recurring Invoices
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Body
application/json
Response
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"status": "Active",
"recurrence_schedule": "Monthly",
"payment_terms": "net_15",
"start_date": "2026-07-22",
"end_date": null,
"next_run_date": "2026-08-22",
"last_run_date": null,
"customer_name": "Lafayette Considine"
},
{
"id": null,
"status": "Active",
"recurrence_schedule": "Monthly",
"payment_terms": "net_15",
"start_date": "2026-07-22",
"end_date": null,
"next_run_date": "2026-08-22",
"last_run_date": null,
"customer_name": "Margaretta Thiel"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

